GET /v1/calls/history

Read recent call history for the authenticated participant.

GET /v1/calls/history

Returns recent call history for the participant represented by the session token.

Description

This endpoint is optional for integrations. It is useful when an application wants to show recent call activity or debug call outcomes.

Headers

HeaderRequiredDescription
Authorization: Bearer <session_token>YesSession token issued by POST /v1/call/session-token.

Query parameters

ParameterTypeRequiredDescription
limitnumberNoMaximum number of records to return.

Success response

{
  "success": true,
  "data": [
    {
      "call_uuid": "9a4f36b4-3279-47b4-b69b-9a9a1e3d6b30",
      "status": "ended",
      "context_type": "session",
      "context_id": "SESSION-1001",
      "started_at": "2026-07-04T11:00:00Z",
      "ended_at": "2026-07-04T11:03:14Z"
    }
  ]
}

Error responses

StatusCodeMeaning
401AUTH_TOKEN_REQUIREDMissing bearer token.
401AUTH_TOKEN_INVALIDBearer token is invalid or expired.
500CALL_HISTORY_FAILEDCall history could not be loaded.

Example

curl https://rtc-svc.blendlix.com/v1/calls/history?limit=10 \
  -H "Authorization: Bearer <session_token>"